curl --request GET \
--url https://api.cashful.africa/api/canary/customers/{id}/payment-methods \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "pm_001",
"customerId": "customer_789",
"type": "card",
"brand": "visa",
"last4": "4242",
"expiryMonth": 12,
"expiryYear": 2025,
"isDefault": true,
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
],
"pagination": {
"limit": 50,
"offset": 0,
"total": 1,
"hasMore": false
}
}Shows all saved payment methods (cards, etc.) for a customer
curl --request GET \
--url https://api.cashful.africa/api/canary/customers/{id}/payment-methods \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "pm_001",
"customerId": "customer_789",
"type": "card",
"brand": "visa",
"last4": "4242",
"expiryMonth": 12,
"expiryYear": 2025,
"isDefault": true,
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
],
"pagination": {
"limit": 50,
"offset": 0,
"total": 1,
"hasMore": false
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the customer
Maximum number of records to return
Number of records to skip